#include <libac.h>

extern uint8_t _ow_reset(void);

/*
 * Read a hole buffer from 1-Wire bus and check crc on demand.
 */
uint8_t ow_buf_read(uint8_t *buf, size_t buf_size, uint8_t crc_included)
{
	uint8_t	i;

	if (!buf) return 0;		// it seems there is no valid buffer

	for (i = 0; i < buf_size; i++) {
		buf[i] = ow_byte_read();
	}

	if (!_ow_reset())
		return 0;

	if (crc_included)
		if (ow_crc8(buf, buf_size))
			return 0;		// there was an transmit error
		else
			return 1;
	else
		return 1;
}

/*************************************EndOfFile***************************
$Id: $
vim:tw=78:ts=4:sw=4:ai:
*/
