#include <libac.h>

extern uint8_t _ow_reset(void);

/*
 * Write a hole buffer over the 1-Wire bus and generate crc on demand.
 */
uint8_t ow_buf_write(uint8_t *buf, size_t buf_size, uint8_t crc_included)
{
	uint8_t	i;

	if (!buf) return 0;		// it seems there is no valid buffer

	if (crc_included)
		buf[buf_size-1] = ow_crc8(buf, buf_size-1);

	for (i = 0; i < buf_size; i++) {
		if (!ow_byte_write(buf[i]))
			return 0;
	}

	return 1;
}

/*************************************EndOfFile***************************
$Id: $
vim:tw=78:ts=4:sw=4:ai:
*/
