#include <libac.h>

/*
 * DOW CRC-8 generator / checker
 */
uint8_t ow_crc8(uint8_t *data, size_t length)
{
	uint8_t crc8, byte, bit;

	crc8 = 0;
	while (length--) {
		byte = *data++;
		for (bit = 8; bit; bit--) {
			if (((byte & 1) ^ crc8) & 1) {
				crc8 = (((crc8 ^ 0x18) >> 1) | 0x80);
			} else {
				crc8 = ((crc8 >> 1) & ~0x80);
			}
			byte >>= 1;
		}
	}

	return crc8;
}

/*************************************EndOfFile***************************
$Id: $
vim:tw=78:ts=4:sw=4:ai:
*/
