#include <libac.h>

extern uint8_t _ow_reset(void);

/*
 * generic command initiation
 */
uint8_t ow_function(uint8_t code, uint8_t device, uint8_t family)
{
	if (!ow_devices_active		// device was not initialized
			|| !(device < ow_devices_active))
		return 0;

	if (!_ow_reset())			// it seems, there is no device anymore
		return 0;

	if (ow_devices[device].rom_code.family != family)	// wrong family
		return 0;

#if OW_DEVICES == 1
	ow_byte_write(0xcc);		// SKIP ROM command
#else
	ow_byte_write(0x55);		// MATCH ROM command
	ow_buf_write((uint8_t *)&(ow_devices[device].rom_code),
			sizeof(ow_rom_code_st), 0 /* don't generate crc */);
#endif

	ow_byte_write(code);

	return 1;
}

/*************************************EndOfFile***************************
$Id: $
vim:tw=78:ts=4:sw=4:ai:
*/
